<?php
       
function login_fora_do_horario_guard() {
    include 'parametros.inc';
    include '../idiomas/config.inc';


    if($p_nao_permitir_login_fora_do_horario) {
        
        date_default_timezone_set('Etc/GMT+3');

        $currentHour = date('H') ;
     
        $horarioVerao = date('I'); 
        if($horarioVerao) {
            $currentHour = (int)$currentHour ;
        }
      
        if((int)$currentHour < $p_horario_inicio || (int)$currentHour >= $p_horario_fim ) {
            $msg = $msg_login_fora_do_horario_guard . ' ' .$p_horario_inicio .' e ' . $p_horario_fim . ' ' . $msg_complemento . ' ' . $currentHour. ': '. date('i:s');

            $path = '../html/login.php';
            
            setcookie("codusu","", time() - 3600,'/');
            setcookie("veallcli","", time() - 3600,'/');

             echo"<script>";
                echo "    self.location.href='../php/msgerro.php?erros= ".$msg."&pathvolta=$path&esconde_menu=1'";
                echo "</script>";
            die();
        }
    }
    

}